package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.me.brickbuster.BrickBuster;
import com.me.brickbuster.entity.Brick;
import com.me.brickbuster.entity.Paddle;

public class LongerPaddlePowerUp extends PowerUp {
	public LongerPaddlePowerUp(BrickBuster brickBuster, Brick brick) {
		super(brickBuster, brick, Color.OLIVE);
	}

	@Override
	public void activate() {
		Paddle paddle = getBrickBuster().getPaddle();
		if (paddle.getWidth() < 250) {
			paddle.setWidth(paddle.getWidth() + 50);
		}
	}
}
